#ifndef VECTOR_MATH_H
#define VECTOR_MATH_H

#include "RasterImage.h"
#include "RasterImage_gray.h"
#include "RasterImage_RGB.h"
#include "RasterImage_RGBa.h"
#include "RasterImage_gray_F.h"

#include "VectorField.h"
#include "VectorField_F.h"
#include "VectorField_I.h"


#include "collier_CSC583LIB.h"

using namespace csc583Base;

//
// function declarations
//

namespace csc583ImageProcessing
{

    class CSC583LIB_EXPORT VectorMath
    {
        public:

            /** Constructs the basic image math object
             */
            VectorMath(void);

          
            /** Destructor
             */
            ~VectorMath(void);
            
            /** Divergence (x+y) for each vector in the field as an image.
             *
             *  @param  vectA      the VectorField to which the operator is applied
             *  @param  imgOut     the RasterImage into which the output is written
             */ 

          void getDivergence(VectorField *vectA, RasterImage *imgOut);
          

        protected:


    };
}
#endif  //  VECTOR_MATH_H